<?php
use WHMCS\Database\Capsule;
if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}

function hhp_sms_config(){
	return array(
		"name" => "پنل یاب",
		"description" => 'این ماژول مختص کاربران پنل یاب می باشد .',
		"author" => '<a href="" target="_blank"><img src="" style="width:50px"></a>',
		"language" => "farsi",
		"version" => "2.1",
	);
}
function hhp_sms_deactivate(){
	full_query("DROP TABLE `mod_hhpsms__campain_text`");
	full_query("DROP TABLE `mod_hhpsms__log`");
	full_query("DROP TABLE `mod_hhpsms__send`");
	full_query("DROP TABLE `mod_hhpsms__settings`");
	full_query("DROP TABLE `mod_hhpsms__text`");
	full_query("DELETE FROM `tblconfiguration` WHERE `setting` = 'hhp_smsconfig_vahab'");
}

function callApi($url, $arr = [])
{
    if (is_array($arr)) {
        $postVars = null;
        foreach (array_keys($arr) as $key) {
            $postVars .= $key . "=" . $arr[$key] . "&";
        }
        $postVars = substr($postVars, 0, -1);
    }
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postVars);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($ch, CURLOPT_ENCODING, '');
    $run = curl_exec($ch);
    return $run;
}

function hhp_sms_output($vars) {
	function vahab_smsmodule_chk_install($tbl){
		$result = full_query("SHOW TABLES LIKE '$tbl'");
		$tableExist = mysql_num_rows($result) > 0;
		if($tableExist){
			return true;
		}else{
			return false;
		}
	}
	$hpp_tbl_c = vahab_smsmodule_chk_install('mod_hhpsms__campain_text');
	$hpp_tbl_l = vahab_smsmodule_chk_install('mod_hhpsms__log');
	$hpp_tbl_s = vahab_smsmodule_chk_install('mod_hhpsms__send');
	$hpp_tbl_b = vahab_smsmodule_chk_install('mod_hhpsms__settings');
	$hpp_tbl_t = vahab_smsmodule_chk_install('mod_hhpsms__text');
	$chk_array = array(
		$hpp_tbl_c,
		$hpp_tbl_l,
		$hpp_tbl_s,
		$hpp_tbl_b,
		$hpp_tbl_t,
	);
	if (in_array(false, $chk_array)){
		include __DIR__ . '/settings/install.php';
		header("Location: addonmodules.php?module=hhp_sms");
		die();
	}

	include(dirname( __DIR__ ).'/hhp_sms/lang/farsi.php');
	include(dirname( __DIR__ ).'/hhp_sms/settings/config.php');
	$dir = dirname(__FILE__);
	echo '<link href="'.hhp_sms_siteurl().'modules/addons/hhp_sms/vahabonline/css/bootstrap.css" rel="stylesheet" />';
	echo '<link href="'.hhp_sms_siteurl().'modules/addons/hhp_sms/vahabonline/css/admin.css" rel="stylesheet" />';
	echo '<div class="vahabonline_tp">
		<div class="col-md-3 vo-logobar">
			<div class="row">
				<a href="http://panelyab.com/" target="_blank" title=""><img src="'.hhp_sms_siteurl().'modules/addons/hhp_sms/vahabonline/img/logo.jpg" title="طراحی و برنامه نویسی شده توسط وهاب آنلاین" alt="طراحی و برنامه نویسی شده توسط وهاب آنلاین" /></a>
			</div>
			<div class="row vo-sidebar">
				<ul>';
				echo '<li';if($_GET['module']=='hhp_sms' && empty($_GET['action'])){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms">اطلاعات محصول</a></li>';
				echo '
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='settings'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=settings">تنظیمات پنل پیامک</a></li>
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='configtest'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=configtest">تست صحت کانفیگ</a></li>
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='smsmanager'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=smsmanager">مدیریت پیامک ها</a></li>
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='sendtoall'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=sendtoall">ارسال انبوه</a></li>
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='campains'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=campains">کمپین های تبلیغاتی</a></li>
					<li';if($_GET['module']=='hhp_sms' && $_GET['action']=='logs'){echo ' class="active"';}echo '><a href="addonmodules.php?module=hhp_sms&action=logs">لاگ ارسال</a></li>';
				echo '
				</ul>
			</div>
		</div>
		<div class="col-md-9 vahab-body">
		';

		if($_GET['module']=='hhp_sms' && $_GET['action']=='install'){
			include(dirname( __DIR__ ).'/hhp_sms/settings/setup.php');
		}

		if($_GET['module']=='hhp_sms' && $_GET['action']=='settings'){

			if($_GET['module']=='hhp_sms' && $_GET['action']=='settings' && $_SERVER['REQUEST_METHOD'] == 'POST'){
				$vo_uts = 'mod_hhpsms__settings';
				$vo_utwn = 'name';
				$vo_utun = 'value';
				hhp_sms_update($vo_uts,$vo_utwn,'panel_token',$vo_utun,$_POST['panel_token']);
				hhp_sms_update($vo_uts,$vo_utwn,'send_number',$vo_utun,$_POST['send_number']);
				hhp_sms_update($vo_uts,$vo_utwn,'admin_numbers',$vo_utun,$_POST['admin_numbers']);
				hhp_sms_update($vo_uts,$vo_utwn,'panel_type',$vo_utun,$_POST['panel_type']);
				hhp_sms_update($vo_uts,$vo_utwn,'signature',$vo_utun,$_POST['signature']);

				if($_POST['typesend'] == 'default'){
					hhp_sms_update($vo_uts,$vo_utwn,'typesend',$vo_utun,'default');
					hhp_sms_update($vo_uts,$vo_utwn,'customfieldsend',$vo_utun,'');
				}else{
					hhp_sms_update($vo_uts,$vo_utwn,'typesend',$vo_utun,'custom');
					hhp_sms_update($vo_uts,$vo_utwn,'customfieldsend',$vo_utun,$_POST['typesend']);
				}
				hhp_sms_showerror('success','تغییرات با موفقیت ذخیره شد !');
			}

			echo '<form method="post" action="addonmodules.php?module=hhp_sms&action=settings">';
			include(dirname( __DIR__ ).'/hhp_sms/settings/settings_form.php');
			echo '</form>';

		}

        if($_GET['module']=='hhp_sms' && $_GET['action']=='configtest'){

            if($_GET['module']=='hhp_sms' && $_GET['action']=='configtest' && $_SERVER['REQUEST_METHOD'] == 'POST'){
                $url = "http://panelyab.com";
                $mobile = $_POST['mobile'];
                $message = $_POST['message'];
                $token = select_in_settings_sms('panel_token');
                $sender = select_in_settings_sms('send_number');
                $result = callApi("{$url}/api/send",[
                    "token" => $token,
                    "message" => $message,
                    "to" => $mobile,
                    "sender" => $sender
                ]);
                $result = json_decode($result, true);
                if ($result["status"] == 100)
                    hhp_sms_showerror('success','ارسال با موفقیت انجام شد !');
                else
                    hhp_sms_showerror('danger','خطایی رخ داده است . لطفا مجددا امتحان نمایید');
            }

            echo '<form method="post" action="addonmodules.php?module=hhp_sms&action=configtest">';
            include(dirname( __DIR__ ).'/hhp_sms/settings/config_test.php');
            echo '</form>';

        }

		if($_GET['module']=='hhp_sms' && $_GET['action']=='smsmanager'){

			if($_GET['module']=='hhp_sms' && $_GET['action']=='smsmanager' && $_SERVER['REQUEST_METHOD'] == 'POST'){
				include(dirname( __DIR__ ).'/hhp_sms/settings/up_msgs.php');
				hhp_sms_showerror('success','تمامی تغییرات با موفقیت ذخیره شدند !');
			}

			echo '<form method="post" action="addonmodules.php?module=hhp_sms&action=smsmanager">';
			include(dirname( __DIR__ ).'/hhp_sms/settings/smsmanager_form.php');
			echo '</form>';

		}

		if($_GET['module']=='hhp_sms' && $_GET['action']=='sendtoall'){
			include(dirname( __DIR__ ).'/hhp_sms/settings/sendtoall.php');
		}

		if($_GET['module']=='hhp_sms' && $_GET['action']=='campains'){
			include(dirname( __DIR__ ).'/hhp_sms/settings/campains.php');
		}

		if($_GET['module']=='hhp_sms' && $_GET['action']=='logs'){
			include(dirname( __DIR__ ).'/hhp_sms/settings/logs.php');
		}

		if($_GET['module']=='hhp_sms' && empty($_GET['action'])){

			echo '<iframe src="//panelyab.com/" title="سامانه پیامکی پنل یاب" style="
				width: 100%;
				min-height: 490px;
				border: solid 1px #eee;
				border-radius: 6px;
				margin-bottom: 15px;
			"></iframe>';

			echo '<div class="row">
					<div class="col-md-6">
						<div class="panel panel-success">
						  <div class="panel-heading">اطلاعات محصول</div>
						  <div class="panel-body">
							نام محصول : ماژول پیام کوتاه<br/>
							سال تولید : فروردین 1399<br/>
							آخرین بروزرسانی : دوشنبه 18 اسفند 1399<br/>
							نسخه در حال استفاده : 2.1<br/>
							سازگار با whmcs : 7.7 به بالا<br/>
							طراحی شده توسط <a href="PANELYAB.COM" target="_blank">پنلیاب</a> .
						  </div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="panel panel-primary">
						  <div class="panel-heading">اطلاعات محصول</div>
							<div class="panel-body">
								<p>این ماژول به صورت اختصاصی توسط <a href="http://panelyab.com" target="_blank">پنل یاب</a> برای سامانه پیامکی پنل یاب طراحی و برنامه نویسی شده است و به صورت کاملا رایگان در اختیار شما کاربران عزیز قرار گرفته است</p>
								<p><a href="http://panelyab.com/" target="_blank">ورود به وبسایت سامانه پیامکی پنل یاب</a></p>
						  </div>
						</div>
					</div>
				</div>';
		}


		echo '</div>';
		echo '</div>';

}
