<?php
add_hook('AcceptOrder', 1, function($vars) {
	$hooksend = "AcceptOrder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('CancelOrder', 1, function($vars) {
	$hooksend = "CancelOrder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterShoppingCartCheckout', 1, function($vars) {
	$hooksend = "AfterShoppingCartCheckout";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['OrderID'],'userid');
	$ic_var1 = ["{OrderID}","{OrderNumber}","{PaymentMethod}","{InvoiceID}","{TotalDue}"];
	$ic_var2 = [$vars['orderid'],$vars['OrderNumber'],$vars['PaymentMethod'],$vars['InvoiceID'],$vars['TotalDue']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('FraudOrder', 1, function($vars) {
	$hooksend = "FraudOrder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('OrderPaid', 1, function($vars) {
	$hooksend = "OrderPaid";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('PendingOrder', 1, function($vars) {
	$hooksend = "PendingOrder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('DeleteOrder', 1, function($vars) {
	$hooksend = "DeleteOrder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','orderid',$vars['orderid'],'userid');
	$get_pro_id = vo_select_free('tblhosting','id',$vars['orderid'],'packageid');
	$get_pro_name = vo_select_free('tblproducts','id',$get_pro_id,'name');
	$ic_var1 = ["{orderid}","{proname}"];
	$ic_var2 = [$vars['orderid'],$get_pro_name];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});