<?php
add_hook('QuoteCreated', 1, function($vars) {
    $hooksend = "QuoteCreated";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblquotes','id',$vars['quoteid'],'userid');
	$ic_var1 = ["{quoteid}","{status}"];
	$ic_var2 = [$vars['quoteid'],$vars['status']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceCancelled', 1, function($vars) {
	$hooksend = "InvoiceCancelled";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceCreated', 1, function($vars) {
	$hooksend = "InvoiceCreated";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}","{status}"];
	$ic_var2 = [$vars['invoiceid'],$vars['status']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceRefunded', 1, function($vars) {
	$hooksend = "InvoiceRefunded";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoicePaymentReminder', 1, function($vars) {
	$hooksend = "InvoicePaymentReminder";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('AcceptQuote', 1, function($vars) {
    $hooksend = "AcceptQuote";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblquotes','id',$vars['quoteid'],'userid');
	$ic_var1 = ["{quoteid}","{invoiceid}"];
	$ic_var2 = [$vars['quoteid'],$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('QuoteStatusChange', 1, function($vars) {
	$hooksend = "QuoteStatusChange";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblquotes','id',$vars['quoteid'],'userid');
	$ic_var1 = ["{quoteid}","{status}"];
	$ic_var2 = [$vars['quoteid'],$vars['status']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceSplit', 1, function($vars) {
	$hooksend = "InvoiceSplit";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['newinvoiceid'],'userid');
	$ic_var1 = ["{newinvoiceid}"];
	$ic_var2 = [$vars['newinvoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceCreation', 1, function($vars) {
	$hooksend = "InvoiceCreation";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}","{status}"];
	$ic_var2 = [$vars['invoiceid'],$vars['status']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('UpdateInvoiceTotal', 1, function($vars) {
	$hooksend = "UpdateInvoiceTotal";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoiceUnpaid', 1, function($vars) {
	$hooksend = "InvoiceUnpaid";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});


add_hook('InvoicePaid', 1, function($vars) {
	$hooksend = "InvoicePaid";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblinvoices','id',$vars['invoiceid'],'userid');
	$ic_var1 = ["{invoiceid}"];
	$ic_var2 = [$vars['invoiceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});