<?php
add_hook('ProductEdit', 1, function($vars) {
	$hooksend = "ProductEdit";
	
	$admin_default_msg = vo_select_free('mod_hhpsms__text','name',$hooksend,'admin');
	$search = array(
		'{name}',
		'{description}',
		'{welcomeemail}',
		'{gid}',
		'{qty}',
	);
	$replace = array(
		$vars['name'],
		$vars['description'],
		$vars['welcomeemail'],
		$vars['gid'],
		$vars['qty'],
	);
	$admin_end_msg = str_replace($search,$replace,$admin_default_msg);
	
	// 1 : hooksend
	// 2 : user msg
	// 3 : admin msg
	// 4 : Daryaft Konande
	vo_module_send($hooksend,'',$admin_end_msg);
});

add_hook('AfterProductUpgrade', 1, function($vars) {
	$hooksend = "AfterProductUpgrade";
	
	$admin_default_msg = vo_select_free('mod_hhpsms__text','name',$hooksend,'admin');
	$search = array(
		'{upgradeid}',
	);
	$replace = array(
		$vars['upgradeid'],
	);
	$admin_end_msg = str_replace($search,$replace,$admin_default_msg);
	
	// 1 : hooksend
	// 2 : user msg
	// 3 : admin msg
	// 4 : Daryaft Konande
	vo_module_send($hooksend,'',$admin_end_msg);
});

add_hook('ProductDelete', 1, function($vars) {
	$hooksend = "ProductDelete";
	
	$admin_default_msg = vo_select_free('mod_hhpsms__text','name',$hooksend,'admin');
	$search = array(
		'{pid}',
	);
	$replace = array(
		$vars['pid'],
	);
	$admin_end_msg = str_replace($search,$replace,$admin_default_msg);
	
	// 1 : hooksend
	// 2 : user msg
	// 3 : admin msg
	// 4 : Daryaft Konande
	vo_module_send($hooksend,'',$admin_end_msg);
});