<?php
add_hook('AfterRegistrarSaveDNS', 1, function($vars) {
	$hooksend = "AfterRegistrarSaveDNS";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRegister', 1, function($vars) {
	$hooksend = "AfterRegistrarRegister";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRenew', 1, function($vars) {
	$hooksend = "AfterRegistrarRenew";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRenewalFailed', 1, function($vars) {
$hooksend = "AfterRegistrarRenewalFailed";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRenewal', 1, function($vars) {
	$hooksend = "AfterRegistrarRenewal";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarTransfer', 1, function($vars) {
	$hooksend = "AfterRegistrarTransfer";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarSaveContactDetails', 1, function($vars) {
	$hooksend = "AfterRegistrarSaveContactDetails";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRegistration', 1, function($vars) {
	$hooksend = "AfterRegistrarRegistration";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarSaveNameservers', 1, function($vars) {
	$hooksend = "AfterRegistrarSaveNameservers";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarTransferFailed', 1, function($vars) {
	$hooksend = "AfterRegistrarTransferFailed";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRequestDelete', 1, function($vars) {
	$hooksend = "AfterRegistrarRequestDelete";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarRegistrationFailed', 1, function($vars) {
	$hooksend = "AfterRegistrarRegistrationFailed";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterRegistrarGetEPPCode', 1, function($vars) {
	$hooksend = "AfterRegistrarGetEPPCode";
	
	// --------------------- Tags ------------------
	$uid = $vars['params']['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['params']['domainid'],'domain');
	$ic_var1 = ["{eppcode}","{regperiod}","{domainname}"];
	$ic_var2 = [$vars['params']['eppcode'],$vars['params']['regperiod'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});