<?php
// زمان استفاده از سرویس به اتمام رسیده است
add_hook('ServiceRecurringCompleted', 1, function($vars) {
		$hooksend = "ServiceRecurringCompleted";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['serviceid'],'userid');
	$ic_var1 = ["{serviceid}","{recurringinvoices}"];
	$ic_var2 = [$vars['serviceid'],$vars['recurringinvoices']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('ServiceDelete', 1, function($vars) {
	$hooksend = "ServiceDelete";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}","{serviceid}"];
	$ic_var2 = [$vars['userid'],$vars['serviceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('PreServiceEdit', 1, function($vars) {
	$hooksend = "PreServiceEdit";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['serviceid'],'userid');
	$ic_var1 = ["{serviceid}"];
	$ic_var2 = [$vars['serviceid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('CancellationRequest', 1, function($vars) {
	$hooksend = "CancellationRequest";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}","{relid}","{reason}","{type}"];
	$ic_var2 = [$vars['userid'],$vars['relid'],$vars['reason'],$vars['type']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});