<?php
add_hook('TicketClose', 1, function($vars) {
	$hooksend = "TicketClose";
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{ticketid}"];
	$ic_var2 = [$vars['ticketid']];
	$user_msg = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$admin_msg = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$usernum = user_vo_phonenumber($uid);
	// ---------------------------------------------

	vo_module_send($hooksend,$user_msg,$admin_msg,$usernum);
});

add_hook('TicketAdminReply', 1, function($vars) {
	$hooksend = "TicketAdminReply";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{ticketid}","{replyid}","{deptid}","{deptname}","{subject}","{message}","{priority}","{status}","{admin}"];
	$ic_var2 = [$vars['ticketid'],$vars['replyid'],$vars['deptid'],$vars['deptname'],$vars['subject'],$vars['message'],$vars['priority'],$vars['status'],$vars['admin']];
	$user_msg = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$admin_msg = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$usernum = user_vo_phonenumber($uid);
	// ---------------------------------------------

	vo_module_send($hooksend,$user_msg,$admin_msg,$usernum);
});

add_hook('TicketOpen', 1, function($vars) {
	$hooksend = "TicketOpen";
	
	$uid = $vars['userid'];
	// --------------------- Tags ------------------
	$ic_var1 = ["{ticketid}","{ticketmask}","{userid}","{deptid}","{deptname}","{subject}","{message}","{priority}"];
	$ic_var2 = [$vars['ticketid'],$vars['ticketmask'],$vars['userid'],$vars['deptid'],$vars['deptname'],$vars['subject'],$vars['message'],$vars['priority']];
	// ---------------------------------------------

	vo_module_send($hooksend,str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user')),str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin')),user_vo_phonenumber($uid));
});

add_hook('TicketPriorityChange', 1, function($vars) {
	$hooksend = "TicketPriorityChange";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{ticketid}","{priority}"];
	$ic_var2 = [$vars['ticketid'],$vars['priority']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = $u_txt1;
	$a_txt_asl = $a_txt1;
	// ---------------------------------------------
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,user_vo_phonenumber($uid));
	
});

add_hook('TicketFlagged', 1, function($vars) {
	$hooksend = "TicketFlagged";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{ticketid}","{adminid}","{adminname}"];
	$ic_var2 = [$vars['ticketid'],$vars['adminid'],$vars['adminname']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------

	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,user_vo_phonenumber($uid));
});

add_hook('TicketDepartmentChange', 1, function($vars) {
	$hooksend = "TicketDepartmentChange";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{ticketid}","{deptid}","{deptname}"];
	$ic_var2 = [$vars['ticketid'],$vars['deptid'],$vars['deptname']];
	// ---------------------------------------------
	$utxtasl = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$atxtasl = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	// ---------------------------------------------

	vo_module_send($hooksend,$utxtasl,$atxtasl,user_vo_phonenumber($uid));
});

add_hook('TicketDelete', 1, function($vars) {
	$hooksend = "TicketDelete";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketId'],'userid');
	$ic_var1 = ["{ticketId}","{adminId}"];
	$ic_var2 = [$vars['ticketId'],$vars['adminId']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminId'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminId'],$a_txt1);
	// ---------------------------------------------

	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,user_vo_phonenumber($uid));
});

add_hook('TicketOpenAdmin', 1, function($vars) {
	$hooksend = "TicketOpenAdmin";
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	
	// --------------------- Tags ------------------
	$ic_var1 = ["{ticketid}","{priority}"];
	$ic_var2 = [$vars['ticketid'],$vars['priority']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = $u_txt1;
	$a_txt_asl = $a_txt1;
	// ---------------------------------------------
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,user_vo_phonenumber($uid));
	
	
});

add_hook('TicketUserReply', 1, function($vars) {
	$hooksend = "TicketUserReply";
	$uid = $vars['userid'];
	
	$admin_default_msg = hhp_sms_userinfo($uid,$hooksend,'admin');
	$user_default_msg = hhp_sms_userinfo($uid,$hooksend,'user');
	
	$search = array(
		'{ticketid}',
		'{replyid}',
		'{deptid}',
		'{deptname}',
		'{subject}',
		'{message}',
		'{priority}',
		'{status}',
	);
	$replace = array(
		$vars['ticketid'],
		$vars['replyid'],
		$vars['deptid'],
		$vars['deptname'],
		$vars['subject'],
		$vars['message'],
		$vars['priority'],
		$vars['status']
	);
	
	$user_msg = str_replace($search,$replace,$user_default_msg);
	$admin_msg = str_replace($search,$replace,$admin_default_msg);

	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$user_msg,$admin_msg,$unum);
});

add_hook('TicketStatusChange', 1, function($vars) {
	$hooksend = "TicketStatusChange";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{adminid}","{status}","{ticketid}"];
	$ic_var2 = [$vars['adminid'],$vars['status'],$vars['ticketid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('TicketSubjectChange', 1, function($vars) {
	$hooksend = "TicketSubjectChange";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbltickets','id',$vars['ticketid'],'userid');
	$ic_var1 = ["{subject}","{ticketid}"];
	$ic_var2 = [$vars['subject'],$vars['ticketid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});