<?php
use WHMCS\Database\Capsule;
?>
<ul class="nav nav-tabs">
  <li class="<?php if(empty($_GET['type'])){echo 'active';} ?>"><a href="addonmodules.php?module=hhp_sms&action=campains">اطلاعات بیشتر</a></li>
  <li class="<?php if($_GET['type']=='list'){echo 'active';} ?>"><a href="addonmodules.php?module=hhp_sms&action=campains&type=list">لیست کمپین ها</a></li>
  <li class="<?php if($_GET['type']=='add'){echo 'active';} ?>"><a href="addonmodules.php?module=hhp_sms&action=campains&type=add">افزودن کمپین</a></li>
</ul>
<div class="clearfix"><br/></div>
<?php if($_GET['module']=='hhp_sms' && $_GET['action']=='campains' && empty($_GET['type'])){ ?>
<div class="vahablet">
<h2>کمپین های تبلیغاتی</h2>
<p>کمپین های تبلیغاتی پیام هایی از پیش تعریف شده هستند که می توانید آنها را به صورت انبوه ارسال کنید . شما می توانید برای هر ارسال انبوه خود یک کمپین ایجاد نمایید و از آنها در هر نوع ارسال و هر زمان دیگری نیز استفاده نمایید</p>
<p>به منظور افزایش کیفیت پیامک های ارسالی شما می توانید از شرت کدهای زیر در پیامک های خود استفاده نمایید</p>
</div>
<p>نام : {firstname}<br/>
نام خانوادگی : {lastname}<br/>
آدرس ایمیل : {email}<br/>
آدرس 1 : {address1}<br/>
آدرس 2 : {address2}<br/>
شهر : {city}<br/>
استان : {state}<br/>
کد پستی : {postcode}<br/>
کشور : {country}<br/>
شماره تماس : {phonenumber}<br/>
ایدی گروه : {groupid}<br/>
آی پی : {ip} (آخرین آی پی وارد شده)<br/>
وضعیت حساب : {status}<br/>
وضعیت وریفای ایمیل : {email_verified}<br/>
آدرس سایت : {siteurl}<br/>
نام سایت : {sitename}<br/>
آخرین ورود : {lastlogin}<br/>
امضا : {signature}
</p>
<?php } ?>


<?php if($_GET['module']=='hhp_sms' && $_GET['action']=='campains' && $_GET['type']=='list'){ ?>

<table class="table table-striped">
    <thead>
      <tr>
        <th>نام کمپین</th>
        <th>عملیات</th>
      </tr>
</thead>
 <tbody>
<?php
foreach (Capsule::table('mod_hhpsms__campain_text')
		->orderBy('id', 'desc')
		->get() as $value) {
			echo '<tr>';
			echo '<td>';
			echo $value->name;
			echo '</td>';
			echo '<td>';
			echo '<a href="addonmodules.php?module=hhp_sms&action=campains&type=add&id='.$value->id.'"><img src="'.hhp_sms_siteurl().'modules/addons/hhp_sms/vahabonline/img/edit.png"></a> ';
			echo '<a href="addonmodules.php?module=hhp_sms&action=campains&type=delete&id='.$value->id.'"><img src="'.hhp_sms_siteurl().'modules/addons/hhp_sms/vahabonline/img/delete.png"></a> ';
			echo '</td>';
			echo '</tr>';
	}
?>
</tbody>
</table>

<?php } ?>

<?php if($_GET['module']=='hhp_sms' && $_GET['action']=='campains' && $_GET['type']=='add'){ ?>
<?php
foreach (Capsule::table('mod_hhpsms__campain_text')
	->where('id',$_GET['id'])
	->get() as $value) {
		$name = $value->name;
		$text = $value->text;
	}
	
if($_GET['module']=='hhp_sms' && $_GET['action']=='campains' && $_GET['type']=='add' && $_SERVER['REQUEST_METHOD'] == 'POST'){
	if(!empty($_GET['id'])){
		hhp_sms_update('mod_hhpsms__campain_text','id',$_GET['id'],'name',$_POST['name']);
		hhp_sms_update('mod_hhpsms__campain_text','id',$_GET['id'],'text',$_POST['campaintxt']);
		header( 'Location: addonmodules.php?module=hhp_sms&action=campains&type=add&id='.$_GET['id'].'&success=true' );
	}else{
		try {
			Capsule::connection()->transaction(
				function ($connectionManager){
					$connectionManager->table('mod_hhpsms__campain_text')->insert(
						[
							'name' => $_POST['name'],
							'text' => $_POST['campaintxt'],
						]
					);
				}
			);
		header( 'Location: addonmodules.php?module=hhp_sms&action=campains&type=add&id='.$_GET['id'].'&success=true' );
		} catch (\Exception $e) {
			hhp_sms_showerror('danger','خطایی رخ داده است . لطفا مجددا امتحان نمایید');
		}
	}
}
if($_GET['success']=='true'){
	hhp_sms_showerror('success','تغییرات با موفقیت ذخیره شد');
}
?>
<form method="post" action="addonmodules.php?module=hhp_sms&action=campains&type=add&id=<?php echo $_GET['id']; ?>">
  <div class="form-group">
    <label for="name">نام کمپین</label>
    <input type="text" class="form-control" id="name" name="name" value="<?php echo $name; ?>">
  </div>
  <div class="form-group">
    <label for="campaintxt">متن کمپین</label>
    <textarea class="form-control mh200" id="campaintxt" name="campaintxt"><?php echo $text; ?></textarea>
  </div>
  <button type="submit" class="btn btn-default">ثبت کمپین</button>
</form> 

<?php } ?>

<?php if($_GET['module']=='hhp_sms' && $_GET['action']=='campains' && $_GET['type']=='delete'){
	header( 'Location: addonmodules.php?module=hhp_sms&action=campains&type=list' );
	full_query("DELETE FROM `mod_hhpsms__campain_text` WHERE id = ".$_GET['id']);
} ?>