<?php
use WHMCS\Database\Capsule;
$panel_type = select_in_settings_sms('panel_type');
?>
<div class="form-group">
  <label for="panel_token">توکن</label>
  <input type="text" class="form-control" name="panel_token" id="panel_token" value="<?php echo select_in_settings_sms('panel_token'); ?>">
</div>
<div class="form-group">
  <label for="send_number">شماره ارسال :</label>
  <input type="text" class="form-control" name="send_number" id="send_number" value="<?php echo select_in_settings_sms('send_number'); ?>">
</div>

<div class="form-group">
  <label for="admin_numbers">شماره مدیران :</label>
  <textarea class="form-control" name="admin_numbers" id="admin_numbers"><?php echo select_in_settings_sms('admin_numbers'); ?></textarea>
  <p>هر خط یک شماره وارد کنید</p>
</div>

<div class="form-group">
  <label for="signature">امضاء :</label>
  <textarea class="form-control" name="signature" id="signature"><?php echo select_in_settings_sms('signature'); ?></textarea>
</div>

<?php
	$typesend = select_in_settings_sms('typesend');
	if($typesend == 'default'){
		$default = 'selected';
		$custom = '';
	}
	if($typesend == 'custom'){
		$default = '';
		$custom = 'selected';
	}
?>

<div class="form-group">
  <label for="signature">فیلد شماره تماس :</label>
  <select name="typesend" class="form-control">
		<option value="default" <?php echo $default; ?>>ارسال به شماره پیشفرض سیستم</option>
		<optgroup label="ارسال به کاستوم فیلد">
		<?php
			$select_cf = select_in_settings_sms('customfieldsend');
			if($select_cf == 'none'){
				$noneselect = 'selected';
			}else{
				$noneselect = '';
			}
			foreach (Capsule::table('tblcustomfields')
			->get() as $val) {
				if($select_cf == $val->id){
					$iselectin = 'selected';
				}else{
					$iselectin = '';
				}
				echo '<option value="'.$val->id.'" '.$iselectin.'>'.$val->fieldname.'</option>';
			}
		?>
		</optgroup>
  </select>
</div>


<div class="form-group">
	<button type="submit" class="btn btn-primary">ثبت اطلاعات</button>
</div>
  
</div>