<?php
use WHMCS\Database\Capsule;


function insert_log_sms($mob,$txt,$tranix){
insert_query("mod_hhpsms__log",array("number"=>"$mob","text"=>"$txt","tranix"=>"$tranix","date"=>date("Y-m-d h:i:s")));
}
function select_in_send_sms($name,$select){
	foreach (Capsule::table('mod_hhpsms__send')
		->where('name',$name)
		->get() as $client) {
			return $client->$select;
	}
}
function vahabonline_selectdb($tbl,$wn,$wv,$value){
	foreach (Capsule::table($tbl)
		->where($wn,$wv)
		->get() as $client) {
			return $client->$value;
	}
}
function select_in_settings_sms($name){
	foreach (Capsule::table('mod_hhpsms__settings')
		->where('name',$name)
		->get() as $client) {
			return $client->value;
	}
}
function select_in_send_text($name,$select){
	foreach (Capsule::table('mod_hhpsms__text')
		->where('name',$name)
		->get() as $client) {
			return $client->$select;
	}
}
function vo_get_customfield_number($uid){
	foreach (Capsule::table('tblcustomfieldsvalues')
		->where('relid',$uid)
		->where('fieldid',vahabonline_selectdb('mod_hhpsms__settings','name','customfieldsend','value'))
		->get() as $val) {
			$unumber = $val->value;
			$unumber1 = str_replace(' ','',$unumber);
			$unumber2 = str_replace('.','',$unumber1);
			return str_replace('+98','0',$unumber2);
		}
}
function mynum($num){
	$unumber1 = str_replace(' ','',$num);
	$unumber2 = str_replace('.','',$unumber1);
	return str_replace('+98','0',$unumber2);
}
function vo_select_userinfo($id,$select){
	$typesend = vahabonline_selectdb('mod_hhpsms__settings','name','typesend','value');
	if($typesend == 'custom' && $select == 'phonenumber'){
		return vo_get_customfield_number($id);
	}else{
		foreach (Capsule::table('tblclients')
			->where('id',$id)
			->get() as $client) {
				return $client->$select;
		}
	}
}
function vo_select_admininfo($id,$select){
	foreach (Capsule::table('tbladmins')
		->where('id',$id)
		->get() as $client) {
			return $client->$select;
	}
}
function vo_select_free($tbl,$wname,$where,$select){
	foreach (Capsule::table($tbl)
		->where($wname,$where)
		->get() as $value) {
			return $value->$select;
	}
}


function vo_get_siteinfo($nme){
	foreach (Capsule::table('tblconfiguration')
		->where('setting',$nme)
		->get() as $licens) {
			return $licens->value;
	}
}
function hhp_sms_userinfo($id,$mohal,$type){
	$signature = select_in_settings_sms('signature');
	$vositeinfo_get = vo_get_siteinfo('SystemURL');
	$vositename_get = vo_get_siteinfo('CompanyName');
	$uid = $id;
	$firstname = vo_select_userinfo($uid,'firstname');
	$lastname = vo_select_userinfo($uid,'lastname');
	$email = vo_select_userinfo($uid,'email');
	$address1 = vo_select_userinfo($uid,'address1');
	$address2 = vo_select_userinfo($uid,'address2');
	$city = vo_select_userinfo($uid,'city');
	$state = vo_select_userinfo($uid,'state');
	$postcode = vo_select_userinfo($uid,'postcode');
	$country = vo_select_userinfo($uid,'country');
	$phonenumber = vo_select_userinfo($uid,'phonenumber');
	$groupid = vo_select_userinfo($uid,'groupid');
	$ip = vo_select_userinfo($uid,'ip');
	$status = vo_select_userinfo($uid,'status');
	if(vo_select_userinfo($uid,'email_verified') == '1'){
		$email_verified = 'فعال';
	}else{
		$email_verified = 'غیرفعال';
	}
	$lastlogin = vo_select_userinfo($uid,'lastlogin');
	$asli = ["{uid}", "{firstname}", "{lastname}", "{email}", "{address1}", "{address2}", "{city}", "{state}", "{postcode}","{country}","{phonenumber}","{groupid}","{ip}","{status}","{email_verified}","{lastlogin}","{siteurl}","{sitename}","{signature}"];
	$tbdl = [$uid,$firstname,$lastname,$email,$address1,$address2,$city,$state,$postcode,$country,$phonenumber,$groupid,$ip,$status,$email_verified,$lastlogin,$vositeinfo_get,$vositename_get,$signature];
	return str_replace($asli,$tbdl,select_in_send_text($mohal,$type));
}
function hhp_sms_admininfo($id,$text){
	$aid = $id;
	$username = vo_select_admininfo($aid,'username');
	$firstname = vo_select_admininfo($aid,'firstname');
	$lastname = vo_select_admininfo($aid,'lastname');
	$email = vo_select_admininfo($aid,'email');
	$asli = ["{Ausername}","{Afirstname}","{Alastname}","{Aemail}"];
	$tbdl = [$username,$firstname,$lastname,$email];
	return str_replace($asli,$tbdl,$text);
}
function user_vo_phonenumber($id){
	$getpn = str_replace(' ','',vo_select_userinfo($id,'phonenumber'));
	$del98 = str_replace('+98','0',$getpn);
	$delmos = str_replace('+','',$del98);
	$deldot = str_replace('.','',$delmos);
	return $deldot;
}
function hhp_sms_userinfo_freee($id,$txt){
	$uid = $id;
	$firstname = vo_select_userinfo($uid,'firstname');
	$lastname = vo_select_userinfo($uid,'lastname');
	$email = vo_select_userinfo($uid,'email');
	$address1 = vo_select_userinfo($uid,'address1');
	$address2 = vo_select_userinfo($uid,'address2');
	$city = vo_select_userinfo($uid,'city');
	$state = vo_select_userinfo($uid,'state');
	$postcode = vo_select_userinfo($uid,'postcode');
	$country = vo_select_userinfo($uid,'country');
	$phonenumber = user_vo_phonenumber($uid);
	$groupid = vo_select_userinfo($uid,'groupid');
	$ip = vo_select_userinfo($uid,'ip');
	$status = vo_select_userinfo($uid,'status');
	if(vo_select_userinfo($uid,'email_verified') == '1'){
		$email_verified = 'فعال';
	}else{
		$email_verified = 'غیرفعال';
	}
	$lastlogin = vo_select_userinfo($uid,'lastlogin');
	$asli = ["{uid}", "{firstname}", "{lastname}", "{email}", "{address1}", "{address2}", "{city}", "{state}", "{postcode}","{country}","{phonenumber}","{groupid}","{ip}","{status}","{email_verified}","{lastlogin}"];
	$tbdl = [$uid,$firstname,$lastname,$email,$address1,$address2,$city,$state,$postcode,$country,$phonenumber,$groupid,$ip,$status,$email_verified,$lastlogin];
	return str_replace($asli,$tbdl,$txt);
}




function vo_module_send($var,$usertextmsg='',$admintextmsg='',$daryaftkonandeh=''){


	$user_enable = select_in_send_sms($var,'user');
	$admin_enable = select_in_send_sms($var,'admin');

	$admin_code = select_in_send_sms($var,'admin_code');
	$user_code = select_in_send_sms($var,'user_code');

	$sendnumber = select_in_settings_sms('send_number');

	$panel_token = select_in_settings_sms('panel_token');
	// felan khamosh kardm

	/*
	sms_panel_sent_sms_vo
	$getnum,$msgtxt,$formnum,$admuser,$admpass

	*/
	if(!empty($daryaftkonandeh)){
		if(!empty($usertextmsg) && $user_enable == 'def'){
			sms_panel_sent_sms_vo($daryaftkonandeh,$usertextmsg,$sendnumber,$panel_token);
		}elseif($user_enable == 'ser'){
			service_send($daryaftkonandeh,$usertextmsg,$user_code,$panel_token);
		}elseif($user_enable == 'debug'){
			$ins = array(
				'number' => $daryaftkonandeh,
				'text' => $usertextmsg,
				'tranix' => 'debug',
			);
			insert_query('mod_hhpsms__log',$ins);
		}
	}

	if(!empty($admintextmsg)){

		$adminum = select_in_settings_sms('admin_numbers');

		if($admin_enable == 'def'){
			sms_panel_sent_sms_vo($adminum,$admintextmsg,$sendnumber,$panel_token);
		}elseif($admin_enable == 'ser'){
			$anum = explode("\n",$adminum);
			foreach($anum as $inum){
				service_send($inum,$admintextmsg,$admin_code,$panel_token);
			}
		}elseif($admin_enable == 'debug'){
			$ins = array(
				'number' => $adminum,
				'text' => $admintextmsg,
				'tranix' => 'debug',
			);
			insert_query('mod_hhpsms__log',$ins);
		}
	}







}
function vo_module_sms_sent_to_all($num,$txt){
	$panel_token = select_in_settings_sms('panel_token');
	$sendnumber = select_in_settings_sms('send_number');
	return sms_panel_sent_sms_vo($num,$txt,$sendnumber,$panel_token);
}


function sms_panel_sent_sms_vo($getnum,$msgtxt,$formnum='',$token){
	ini_set("soap.wsdl_cache_enabled", "0");
	$mobile = explode("\n",$getnum);
	$url = "http://hodhodpanel.com";
	$client=new SoapClient("{$url}/api/soap/webservice?wsdl");
	foreach($mobile as $number){
		if(empty($formnum)){
			$params  = array(
				'token' => $token,
				"to" => $number,
				"message" => $msgtxt,
			);
		}else{
			$params  = array(
				'token' => $token,
				"to" => $number,
				"message" => $msgtxt,
				"sender" => $formnum
			);
		}
		$session = $client->Send($params);
		if($session->status == 100){
			$status = 'ارسال شد - کدپیگیری : ' . $session->factor_id;
		}else{
			$status = 'ارسال نشد . خطا : ' . $session->message;
		}
		insert_log_sms($number,$msgtxt,$status);
	}
	return $status;
}



function service_send($getnum,$msgtxt,$bodyId,$token){
   	ini_set("soap.wsdl_cache_enabled", "0");

	$url = "http://hodhodpanel.com";
	$client=new SoapClient("{$url}/api/soap/webservice?wsdl");

   	$mobile = explode('\n',$getnum);
	foreach($mobile as $number){
		$params  = array(
			'token' => $token,
			"pattern_code" => $bodyId,
			"to" => $number,
			"params" => explode(",",$msgtxt)

		);
		$session = $client->SendWithPattern($params);
		if($session->status == 100){
			$status = 'ارسال شد - کدپیگیری : ' . $session->factor_id;
		}else{
			$status = 'ارسال نشد . خطا : ' . $session->message;
		}
		insert_log_sms($number,$bodyId,$status);
	}

}
?>