<?php
add_hook('ClientAdd', 1, function($vars) {
	$hooksend = "ClientAdd";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$u_txt1 = hhp_sms_userinfo($uid,$hooksend,'user');
	$a_txt1 = hhp_sms_userinfo($uid,$hooksend,'admin');
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('ClientClose', 1, function($vars) {
	$hooksend = "ClientClose";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}"];
	$ic_var2 = [$vars['userid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('AfterClientMerge', 1, function($vars) {
	$hooksend = "AfterClientMerge";
	
	// --------------------- Tags ------------------
	$uid = $vars['toUserID'];
	$ic_var1 = ["{fromUserID}","{toUserID}"];
	$ic_var2 = [$vars['fromUserID'],$vars['toUserID']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('ClientDelete', 1, function($vars) {
	$hooksend = "ClientDelete";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}"];
	$ic_var2 = [$vars['userid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('ClientEdit', 1, function($vars) {
	$hooksend = "ClientEdit";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}"];
	$ic_var2 = [$vars['userid']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('ClientEmailVerificationComplete', 1, function($vars) {
	$hooksend = "ClientEmailVerificationComplete";
	
	// --------------------- Tags ------------------
	$uid = $vars['userId'];
	$ic_var1 = ["{userId}"];
	$ic_var2 = [$vars['userId']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});
// ============================= Next =================================
add_hook('ClientChangePassword', 1, function($vars) {
	$hooksend = "ClientChangePassword";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$ic_var1 = ["{userid}","{password}"];
	$ic_var2 = [$vars['userid'],$vars['password']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});