<?php
add_hook('DomainDelete', 1, function($vars) {
	$hooksend = "DomainDelete";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['domainid'],'domain');
	$ic_var1 = ["{userid}","{domainid}","{domainname}"];
	$ic_var2 = [$vars['userid'],$vars['domainid'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('DomainTransferFailed', 1, function($vars) {
	$hooksend = "DomainTransferFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbldomains','id',$vars['domainid'],'userid');
	$domainname = vo_select_free('tbldomains','id',$vars['domainid'],'domain');
	$ic_var1 = ["{userid}","{domainid}","{registrationPeriod}","{expiryDate}","{registrar}","{domainname}"];
	$ic_var2 = [$vars['userid'],$vars['domainid'],$vars['registrationPeriod'],$vars['expiryDate'],$vars['registrar'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('DomainTransferCompleted', 1, function($vars) {
	$hooksend = "DomainTransferCompleted";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tbldomains','id',$vars['domainid'],'userid');
	$domainname = vo_select_free('tbldomains','id',$vars['domainid'],'domain');
	$ic_var1 = ["{userid}","{domainid}","{registrationPeriod}","{expiryDate}","{registrar}","{domainname}"];
	$ic_var2 = [$vars['userid'],$vars['domainid'],$vars['registrationPeriod'],$vars['expiryDate'],$vars['registrar'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('DomainEdit', 1, function($vars) {
	$hooksend = "DomainEdit";
	
	// --------------------- Tags ------------------
	$uid = $vars['userid'];
	$domainname = vo_select_free('tbldomains','id',$vars['domainid'],'domain');
	$ic_var1 = ["{userid}","{domainid}","{domainname}"];
	$ic_var2 = [$vars['userid'],$vars['domainid'],$domainname];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});