<?php
add_hook('AfterModuleChangePackageFailed', 1, function($vars) {
	$hooksend = "AfterModuleChangePackageFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleTerminate', 1, function($vars) {
	$hooksend = "AfterModuleTerminate";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleCreateFailed', 1, function($vars) {
	$hooksend = "AfterModuleCreateFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleChangePassword', 1, function($vars) {
	$hooksend = "AfterModuleChangePassword";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['serviceid'],'userid');
	$ic_var1 = ["{serviceid}","{oldpassword}","{newspassword}"];
	$ic_var2 = [$vars['serviceid'],$vars['oldpassword'],$vars['newspassword']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleCreate', 1, function($vars) {
	$hooksend = "AfterModuleCreate";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleTerminateFailed', 1, function($vars) {
	$hooksend = "AfterModuleTerminateFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleChangePasswordFailed', 1, function($vars) {
	$hooksend = "AfterModuleChangePasswordFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleSuspend', 1, function($vars) {
	$hooksend = "AfterModuleSuspend";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['serviceid'],$vars['pid'],$servicename,$vars['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleSuspendFailed', 1, function($vars) {
	$hooksend = "AfterModuleSuspendFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleUnsuspendFailed', 1, function($vars) {
	$hooksend = "AfterModuleUnsuspendFailed";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleUnsuspend', 1, function($vars) {
	$hooksend = "AfterModuleUnsuspend";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}","{domain}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename,$vars['params']['domain']];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});

add_hook('AfterModuleChangePackage', 1, function($vars) {
	$hooksend = "AfterModuleChangePackage";
	
	// --------------------- Tags ------------------
	$uid = vo_select_free('tblhosting','id',$vars['params']['serviceid'],'userid');
	$servicename = vo_select_free('tblproducts','id',$vars['params']['pid'],'name');
	$ic_var1 = ["{serviceid}","{pid}","{servicename}"];
	$ic_var2 = [$vars['params']['serviceid'],$vars['params']['pid'],$servicename];
	$u_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'user'));
	$a_txt1 = str_replace($ic_var1,$ic_var2,hhp_sms_userinfo($uid,$hooksend,'admin'));
	$u_txt_asl = hhp_sms_admininfo($vars['adminid'],$u_txt1);
	$a_txt_asl = hhp_sms_admininfo($vars['adminid'],$a_txt1);
	// ---------------------------------------------
	$unum = user_vo_phonenumber($uid);
	
	vo_module_send($hooksend,$u_txt_asl,$a_txt_asl,$unum);
});