<?php
use WHMCS\Database\Capsule;
function verrors($id){
	switch($id){
		case '0':
		return '<span class="label label-warning">نام کاربری یا رمز عبور اشتباه می باشد.</span>';break;

		case '1':
		return '<span class="label label-success">ارسال شد</span>';break;

		case '2':
		return '<span class="label label-warning">اعتبار کافی نمی باشد.</span>';break;

		case '3':
		return '<span class="label label-warning">محدودیت در ارسال روزانه</span>';break;

		case '4':
		return '<span class="label label-warning">محدودیت در حجم ارسال</span>';break;

		case '5':
		return '<span class="label label-warning">شماره فرستنده معتبر نمی باشد.</span>';break;

		case '6':
		return '<span class="label label-warning">سامانه در حال بروزرسانی می باشد.</span>';break;

		case '7':
		return '<span class="label label-warning">متن حاوی کلمه فیلتر شده می باشد.</span>';break;

		case '9':
		return '<span class="label label-warning">ارسال از خطوط عمومی از طریق وب سرویس امکان پذیر نمی باشد.</span>';break;

		case '10':
		return '<span class="label label-warning">کاربر مورد نظر فعال نمی باشد.</span>';break;

		case '11':
		return '<span class="label label-warning">ارسال نشده</span>';break;

		case '12':
		return '<span class="label label-warning">مدارک کاربر کامل نمی باشد.</span>';break;

		case '14':
		return '<span class="label label-warning">امکان ارسال لینک در این شماره وجود ندارد</span>';break;

		case '-1':
		return '<span class="label label-warning">دسترسی برای استفاده از این وبسرویس غیرفعال است. با پشتیبانی تماس بگیرید</span>';break;

		case '-2':
		return '<span class="label label-warning">محدودیت تعداد شماره، محدودیت هربار ارسال یک شماره موبایل می‌باشد</span>';break;

		case '-3':
		return '<span class="label label-warning">خط ارسالی در سیستم تعریف نشده است، با پشتیبانی سامانه تماس بگیرید</span>';break;

		case '-4':
		return '<span class="label label-warning">کد متن ارسالی صحیح نمی‌باشد و یا توسط مدیر سامانه تأیید نشده است</span>';break;

		case '-5':
		return '<span class="label label-warning">متن ارسالی باتوجه به متغیرهای مشخص شده در متن پیشفرض همخوانی ندارد</span>';break;

		case '-6':
		return '<span class="label label-warning">خطای داخلی رخ داده است با پشتیبانی تماس بگیرید</span>';break;

		case '-7':
		return '<span class="label label-warning">خطایی در شماره فرستنده رخ داده است با پشتیبانی تماس بگیرید</span>';break;

		case 'debug':
		return '<span class="label label-info">دیباگ</span>';break;

		default:
		return '<span class="label label-warning">ارسال نشده</span>';break;
	}
}
function smserror($id){
	if(strlen($id) > 3){
		return '<span class="label label-success">ارسال شد</span>';
	}elseif($id == 'debug'){
		return '<span class="label label-info">دیباگ</span>';
	}else{
		return verrors($id);
	}
}
if($_GET['module']=='hhp_sms' && $_GET['action']=='logs' && empty($_GET['view'])){
?>
<table class="table table-striped">
<thead>
<tr>
<th>ارسال به</th>
<th>کدپیگری/وضعیت</th>
<th>تاریخ</th>
<th>عملیات</th>
</tr>
</thead>
<tbody>
<?php
foreach (Capsule::table('mod_hhpsms__log')->orderBy('id','desc')->get() as $value) {
?>
<tr>
<td><?php echo $value->number; ?></td>
<td><?php echo $value->tranix; ?></td>
<td><?php echo $value->date; ?></td>
<td>
<a href="addonmodules.php?module=hhp_sms&action=logs&view=<?php echo $value->id; ?>"><img src="<?php echo hhp_sms_siteurl(); ?>modules/addons/hhp_sms/vahabonline/img/view.png" title="مشاهده متن پیامک"></a>
<a href="addonmodules.php?module=hhp_sms&action=logs&delete=<?php echo $value->id; ?>"><img src="<?php echo hhp_sms_siteurl(); ?>modules/addons/hhp_sms/vahabonline/img/delete.png" title="حذف"></a>
</td>
</tr>
<?php } ?>
</tbody>
</table>
<a href="addonmodules.php?module=hhp_sms&action=logs&delete=all" class="btn btn-danger btn-small">حذف تمام لاگ ها</a>
<?php }

if($_GET['module']=='hhp_sms' && $_GET['action']=='logs' && !empty($_GET['view'])){
foreach (Capsule::table('mod_hhpsms__log')
		->where('id',$_GET['view'])
		->get() as $value) {
?>
<h2>مشاهده اطلاعات :</h2>
	<table class="table">
		<tbody>
			<tr>
				<td style="width:25%">شماره دریافت کننده :</td>
				<td><?php echo $value->number; ?></td>
			</tr>
			<tr>
				<td>متن پیامک :</td>
				<td><?php echo $value->text; ?></td>
			</tr>
			<tr>
				<td>کد پیگری / وضعیت ارسال :</td>
				<td><?php echo smserror($value->tranix); ?> <br/> مقدار بازگشتی : <?php echo $value->tranix; ?></td>
			</tr>
			<tr>
				<td>تاریخ ارسال :</td>
				<td><?php echo $value->date; ?></td>
			</tr>
		</tbody>
	</table>
<?php } ?>
<a href="addonmodules.php?module=hhp_sms&action=logs" class="btn btn-primary">بازگشت</a>
<?php } ?>

<?php if($_GET['module']=='hhp_sms' && $_GET['action']=='logs' && !empty($_GET['delete'])){
if($_GET['delete']=='all'){
	full_query("DELETE FROM `mod_hhpsms__log`");
	header( 'Location: addonmodules.php?module=hhp_sms&action=logs' );
}else{
	$did = $_GET['delete'];
	full_query("DELETE FROM `mod_hhpsms__log` WHERE id='$did'");
	header( 'Location: addonmodules.php?module=hhp_sms&action=logs' );
}
}
?>